Debian Bug report logs - #505938
libmyodbc: Client programs crash with linker error

version graph

Package: libmysqlclient15off; Maintainer for libmysqlclient15off is (unknown);

Reported by: John Goerzen <jgoerzen@complete.org>

Date: Mon, 17 Nov 2008 02:33:01 UTC

Severity: grave

Found in version mysql-dfsg-5.0/5.0.67-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mysql.com/bug.php?id=41728

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#505938; Package libmyodbc. (Mon, 17 Nov 2008 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 17 Nov 2008 02:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmyodbc: Client programs crash with linker error
Date: Sun, 16 Nov 2008 20:27:39 -0600
Package: libmyodbc
Version: 3.51.15r409-4
Severity: grave
Justification: renders package unusable

I get this when I try to run most clients that use MySQL:

./importtags: relocation error: /usr/lib/odbc/libmyodbc.so: symbol
mysql_odbc_escape_string, version libmysqlclient_15 not defined in
file libmysqlclient_r.so.15 with link time reference

This appears to only happen once the client attempts to send a string
to a prepared query.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (99, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libmyodbc depends on:
ii  debconf [debconf-2.0]  1.5.24            Debian configuration management sy
ii  libc6                  2.7-16            GNU C Library: Shared libraries
ii  libltdl3               1.5.26-4          A system independent dlopen wrappe
ii  libmysqlclient15off    5.0.67-1          MySQL database client library
ii  odbcinst1debian1       2.2.11-16         Support library and helper program
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages libmyodbc recommends:
ii  unixodbc                      2.2.11-16  ODBC tools libraries

libmyodbc suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#505938; Package libmyodbc. (Mon, 17 Nov 2008 07:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Mon, 17 Nov 2008 07:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 505938@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: John Goerzen <jgoerzen@complete.org>, 505938@bugs.debian.org
Subject: Re: Bug#505938: libmyodbc: Client programs crash with linker error
Date: Mon, 17 Nov 2008 02:09:23 -0500
reassign 505938 libmysqlclient15off
found 505938 5.0.67-1
thanks

On Sun, Nov 16, 2008 at 08:27:39PM -0600, John Goerzen wrote:
> Package: libmyodbc
> Version: 3.51.15r409-4
> Severity: grave
> Justification: renders package unusable

> I get this when I try to run most clients that use MySQL:

> ./importtags: relocation error: /usr/lib/odbc/libmyodbc.so: symbol
> mysql_odbc_escape_string, version libmysqlclient_15 not defined in
> file libmysqlclient_r.so.15 with link time reference

> This appears to only happen once the client attempts to send a string
> to a prepared query.

This is ABI breakage in libmysqlclient15off, which has suddenly dropped
symbols without changing sonames (or package names).  That needs to be
addressed first in order to fix the upgrade path; once that's addressed I'll
be happy to look at packaging a new upstream version of myodbc.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Bug reassigned from package `libmyodbc' to `libmysqlclient15off'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 17 Nov 2008 07:12:03 GMT) Full text and rfc822 format available.

Bug marked as found in version 5.0.67-1. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 17 Nov 2008 07:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#505938; Package libmysqlclient15off. (Mon, 17 Nov 2008 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Mon, 17 Nov 2008 14:06:02 GMT) Full text and rfc822 format available.

Message #19 received at 505938@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 505938@bugs.debian.org
Subject: Re: Bug#505938: libmyodbc: Client programs crash with linker error
Date: Mon, 17 Nov 2008 08:04:41 -0600
Steve Langasek wrote:
> reassign 505938 libmysqlclient15off
> found 505938 5.0.67-1
> thanks

FWIW, I grabbed the new upstream ODBC driver, applied the Debian patches
to it, ignored the failed diffs, and corrected one patch error.  It
seemed to work fine, though I didn't test it extensively.

Couldn't you resolve the upgrade path with judicious use of conflicts
and depends though?

-- John

> 
> On Sun, Nov 16, 2008 at 08:27:39PM -0600, John Goerzen wrote:
>> Package: libmyodbc
>> Version: 3.51.15r409-4
>> Severity: grave
>> Justification: renders package unusable
> 
>> I get this when I try to run most clients that use MySQL:
> 
>> ./importtags: relocation error: /usr/lib/odbc/libmyodbc.so: symbol
>> mysql_odbc_escape_string, version libmysqlclient_15 not defined in
>> file libmysqlclient_r.so.15 with link time reference
> 
>> This appears to only happen once the client attempts to send a string
>> to a prepared query.
> 
> This is ABI breakage in libmysqlclient15off, which has suddenly dropped
> symbols without changing sonames (or package names).  That needs to be
> addressed first in order to fix the upgrade path; once that's addressed I'll
> be happy to look at packaging a new upstream version of myodbc.
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#505938; Package libmysqlclient15off. (Mon, 17 Nov 2008 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Mon, 17 Nov 2008 16:57:02 GMT) Full text and rfc822 format available.

Message #24 received at 505938@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: John Goerzen <jgoerzen@complete.org>
Cc: 505938@bugs.debian.org
Subject: Re: Bug#505938: libmyodbc: Client programs crash with linker error
Date: Mon, 17 Nov 2008 11:53:54 -0500
On Mon, Nov 17, 2008 at 08:04:41AM -0600, John Goerzen wrote:
> Steve Langasek wrote:
> > reassign 505938 libmysqlclient15off
> > found 505938 5.0.67-1
> > thanks

> FWIW, I grabbed the new upstream ODBC driver, applied the Debian patches
> to it, ignored the failed diffs, and corrected one patch error.  It
> seemed to work fine, though I didn't test it extensively.

> Couldn't you resolve the upgrade path with judicious use of conflicts
> and depends though?

That the conflicts would still be the responsibility of libmysqlclient15off,
which is the package that has broken the ABI stability promise expressed in
the etch shlibs file.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Noted your statement that Bug has been forwarded to http://bugs.mysql.com/bug.php?id=41728. Request was from Norbert Tretkowski <nobse@debian.org> to control@bugs.debian.org. (Wed, 24 Dec 2008 10:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#505938; Package libmysqlclient15off. (Sat, 14 Feb 2009 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Wanderer <inverseparadox@comcast.net>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 14 Feb 2009 13:48:02 GMT) Full text and rfc822 format available.


Message #31 received at 505938@bugs.debian.org (full text, mbox):

From: The Wanderer <inverseparadox@comcast.net>
To: 505938@bugs.debian.org
Date: Sat, 14 Feb 2009 08:45:51 -0500
It's been nearly three months, and the last activity on this that I know
of was an acknowledgement over at the MySQL bug that "this should be
fixed", which came back in December. I'm hesitant to upgrade this
package until the bug is resolved. Should we at least ping the MySQL
people to ask whether this has been forgotten?

-- 
      The Wanderer

Warning: Simply because I argue an issue does not mean I agree with any
side of it.

Secrecy is the beginning of tyranny.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#505938; Package libmysqlclient15off. (Mon, 16 Feb 2009 08:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Mon, 16 Feb 2009 08:51:17 GMT) Full text and rfc822 format available.

Message #36 received at 505938@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: The Wanderer <inverseparadox@comcast.net>, 505938@bugs.debian.org
Subject: Re: [debian-mysql] Bug#505938: (no subject)
Date: Mon, 16 Feb 2009 09:38:32 +0100
Am Samstag, den 14.02.2009, 08:45 -0500 schrieb The Wanderer:
> It's been nearly three months, and the last activity on this that I know
> of was an acknowledgement over at the MySQL bug that "this should be
> fixed", which came back in December. I'm hesitant to upgrade this
> package until the bug is resolved. Should we at least ping the MySQL
> people to ask whether this has been forgotten?

To be honest, I don't really care about MySQL 5.0, I plan to move 5.1 to
unstable, and drop 5.0 from Debian.

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#505938; Package libmysqlclient15off. (Tue, 17 Feb 2009 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Tue, 17 Feb 2009 08:51:03 GMT) Full text and rfc822 format available.

Message #41 received at 505938@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: 505938@bugs.debian.org
Cc: The Wanderer <inverseparadox@comcast.net>
Subject: Re: [debian-mysql] Bug#505938: Bug#505938: (no subject)
Date: Tue, 17 Feb 2009 09:49:31 +0100
Am Montag, den 16.02.2009, 09:38 +0100 schrieb Norbert Tretkowski:
> Am Samstag, den 14.02.2009, 08:45 -0500 schrieb The Wanderer:
> > It's been nearly three months, and the last activity on this that I know
> > of was an acknowledgement over at the MySQL bug that "this should be
> > fixed", which came back in December. I'm hesitant to upgrade this
> > package until the bug is resolved. Should we at least ping the MySQL
> > people to ask whether this has been forgotten?
> 
> To be honest, I don't really care about MySQL 5.0, I plan to move 5.1 to
> unstable, and drop 5.0 from Debian.

MySQL 5.0.77 was released, much earlier than I had expected. I'm going
to upload it to unstable before moving 5.1 to unstable, so I asked about
the broken ABI-compatibility in the MySQL bugreport again.

	Norbert





Bug reassigned from package 'libmysqlclient15off' to 'libmysqlclient16'. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 19:39:13 GMT) Full text and rfc822 format available.

No longer marked as found in versions mysql-dfsg-5.0/5.0.67-1. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 19:39:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libmysqlclient16' to 'libmysqlclient15off'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 11:30:13 GMT) Full text and rfc822 format available.

Marked as found in versions mysql-dfsg-5.0/5.0.67-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 11:30:14 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 13 May 2012 11:33:04 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 11:33:07 GMT) Full text and rfc822 format available.

Message #54 received at 505938-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 505938-done@bugs.debian.org
Subject: Re: libmyodbc: Client programs crash with linker error
Date: Sun, 13 May 2012 12:31:27 +0100
[Message part 1 (text/plain, inline)]
This bug was due to an incompatible ABI change without an soname change.
It should not have been reassigned to libmysqlclient16, since that has a
new soname.

libmysqlclient15off is not present in any current distribution,
therefore this bug can be closed.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:43:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:24:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.